<?php
session_start();

include "libs/php/util.php";
$util=new Util();

$album_id = isset($_GET['album_id']) ? $_GET['album_id'] : die('Album ID not specified.');
// $album_name_slugged = isset($_GET['album_name']) ? $_GET['album_name'] : die('Album name not specified.'); // should be slugged

// access token
$access_token="128623690525794|LbfgDAXN_KioIspqkMegG1-ysHA";

// get details of the album
$fields="count,link,name,description,likes.limit(0).summary(true),comments.limit(0).summary(true)";

$json_link="https://graph.facebook.com/v2.4/{$album_id}?fields={$fields}&access_token={$access_token}";
$json = file_get_contents($json_link);

$obj = json_decode($json, true, 512, JSON_BIGINT_AS_STRING);

$album_photos_count=isset($obj['count']) ? $util->formatCount($obj['count']) : "0";
$album_link=isset($obj['link']) ? $obj['link'] : "";
$album_name=isset($obj['name']) ? $obj['name'] : "";
$album_description=isset($obj['description']) ? $util->getNewStringWithMentions($obj['description']) : "";
$album_likes_count=isset($obj['likes']['summary']['total_count']) ? $util->formatCount($obj['likes']['summary']['total_count']) : "0";
$album_comments_count=isset($obj['comments']['summary']['total_count']) ? $util->formatCount($obj['comments']['summary']['total_count']) : "0";

$page_title = "{$album_name}";

?>
<!DOCTYPE html>
<html lang="en">
<head>
 
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
    <title><?php echo $page_title; ?></title>
 
    <!-- Bootstrap CSS -->
	<link href="libs/js/bootstrap/dist/css/bootstrap.css" rel="stylesheet" media="screen">
	
	<!-- blue imp gallery -->
	<link rel="stylesheet" href="libs/js/Bootstrap-Image-Gallery-master/css/blueimp-gallery.min.css">
	<link rel="stylesheet" href="libs/js/Bootstrap-Image-Gallery-master/css/bootstrap-image-gallery.min.css">

	<!-- font awesome css -->
	<link rel="stylesheet" href="libs/css/font-awesome-4.4.0/css/font-awesome.min.css">
	
	<style>	
	.blueimp-gallery>.title{
		top:initial;
		bottom:0;
		left:0;
		background-color:#141823;
		width:100%;
		font-size:16px;
		line-height:20px;
		padding:.5em;
	}
	
	.album-numbers{
		margin-right:1em;
	}
	
	.item_box{
		height:260px;
	}

	.photo-thumb{
		width:100%;
		height:210px;
		float:left; 
		border: thin solid #d1d1d1;
		margin:0 1em .5em 0;
		float:left; 
	}
	
	div#blueimp-gallery div.modal {                                                  
		overflow: visible;                                                           
	}  
	
	#last_item_loader{
		text-align:center; 
		display:block; 
		width:100%; 
		overflow:hidden; 
		margin:1em 0; 
		font-weight:bold;
	}
	
	.display-none{
		display:none;
	}
	
	.margin-right-1em{
		margin-right:1em;
	}
	
	.margin-bottom-2em{
		margin-bottom:2em;
	}
	
	.blueimp-gallery>.prev, .blueimp-gallery>.next{
		border:none;
		background:none;
		border:none;
		opacity:1;
	}
	
	.display-none{
		display:none;
	}
	
	.post-html-title{
		display:none;
	}
	</style>
</head>
<body>
     
<!-- pre-load image loader -->
<img src="images/ajax-loader.gif" class="display-none" />

<div class="container">
	<div class="row">
<?php
	$fb_page_id = isset($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "221167777906963";
	
	echo "<div class='col-md-12'>";
	
	echo "<div class='page-header'>";
		echo "<a class='btn btn-primary' href='index.php?fb_page_id=$fb_page_id' style='color:#fff;'><i class='fa fa-chevron-circle-left'></i> Back to albums</a>";
		echo "<h2>";
			echo "{$album_name}";
		echo "</h2>";
	
	echo "<p style='color:#888;'>";
echo "<span class='album-numbers' title='{$album_photos_count} Photos'>{$album_photos_count} <i class='fa fa-picture-o'></i></span>";
echo "<span class='album-numbers' title='{$album_likes_count} Likes'>$album_likes_count <i class='fa fa-thumbs-o-up'></i></span>";
echo "<span class='album-numbers' title='{$album_comments_count} Comments'>$album_comments_count <i class='fa fa-comments-o'></i></span>";
echo "<a href='{$album_link}' target='_blank' title='View album on Facebook'>";
	echo "<i class='fa fa-facebook-official'></i>";
echo "</a>";
	echo "</p>";

	echo "</div>";
	
	
	echo "<p>";
		echo "<i class='fa fa-sticky-note'></i> ";
		
		if(!empty($album_description)){
			echo $album_description;
		}
		
		else{
			echo "No description.";
		}
	echo "</p>";
	
	// https://www.facebook.com/album.php?fbid=10151885869776797&id=82945776796&aid=1073741826
	$album_link_arr=explode("=", $album_link);

	$fbid=$album_link_arr[1];
	$fbid_arr=explode("&", $fbid);
	$fbid=$fbid_arr[0];

	$id=$album_link_arr[2];
	$id_arr=explode("&", $id);
	$id=$id_arr[0];

	$aid=$album_link_arr[3];
	$aid_arr=explode("&", $aid);
	$aid=$aid_arr[0];

	// https://www.facebook.com/media/set/?set=a.10151885869776797.1073741826.82945776796
	$shareable_album_link="https://www.facebook.com/media/set/?set=a.$fbid.$aid.$id";

	echo "<p class='margin-bottom-2em'>";
		echo "<span class='margin-right-1em'>";
			echo "<i class='fa fa-share-square'></i> Share Photo Album";
		echo "</span>";
		
		echo "<a href='https://www.facebook.com/sharer/sharer.php?u={$shareable_album_link}' 
				class='btn btn-primary margin-right-1em' target='_blank'>";
			echo "<i class='fa fa-facebook'></i> Facebook";
		echo "</a>";
		
		echo "<a href='https://twitter.com/intent/tweet?text={$album_name}&url={$shareable_album_link}' 
				class='btn btn-info margin-right-1em' target='_blank'>";
			echo "<i class='fa fa-twitter'></i> Twitter";
		echo "</a>";
		
		echo "<a href='https://plus.google.com/share?url={$shareable_album_link}' 
				class='btn btn-danger' target='_blank'>";
			echo "<i class='fa fa-google'></i> Google";
		echo "</a>";
	echo "</p>";
	
	echo "</div>"; // end row
	
	// include_once "notes_photos.php";
	
	// get photos
	$fields="source,name,link,likes.limit(0).summary(true),comments.limit(0).summary(true),images";
	$limit="9";
	
	$json_link = "https://graph.facebook.com/v2.3/{$album_id}/photos?fields={$fields}&limit={$limit}&access_token={$access_token}";
	$json = file_get_contents($json_link);

	$obj = json_decode($json, true, 512, JSON_BIGINT_AS_STRING);
	
	$photo_count = count($obj['data']);
	
	// get next page
	$next_page = isset($obj['paging']['next']) ? $obj['paging']['next'] : "";
	$_SESSION['NEXT_PAGE_PHOTOS_' . $fb_page_id]=$next_page;
	$_SESSION['SET_NUM_PHOTOS_' . $fb_page_id]=1;
	
	$first_load=true;
	include_once "photos_template.php";
	
	echo "<div id='last_item_loader'></div>";
?>
	</div>
</div>


<!-- The Bootstrap Image Gallery lightbox, should be a child element of the document body -->
<div id="blueimp-gallery" class="blueimp-gallery" data-use-bootstrap-modal="false">

    <!-- The container for the modal slides -->
    <div class="slides"></div>
    <!-- Controls for the borderless lightbox -->
    <h4 class="title" id='pop-up-title'></h4>
    <a class="prev"><i class='fa fa-chevron-left'></i></a>
    <a class="next"><i class='fa fa-chevron-right'></i></a>
    <a class="close"><i class='fa fa-times'></i></a>
    <!-- <a class="play-pause"></a> -->
    <!-- <ol class="indicator"></ol> -->
    <!-- The modal dialog, which will be used to wrap the lightbox content -->
    <!-- The modal dialog, which will be used to wrap the lightbox content -->
    <div class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" aria-hidden="true">&times;</button>
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body next"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left prev">
                        <i class="glyphicon glyphicon-chevron-left"></i>
                        Previous
                    </button>
                    <button type="button" class="btn btn-primary next">
                        Next
                        <i class="glyphicon glyphicon-chevron-right"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>



<!-- jQuery library -->
<script src="libs/js/jquery.js"></script>

<!-- bootstrap JavaScript -->
<script src="libs/js/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="libs/js/bootstrap/docs-assets/js/holder.js"></script>
 
<!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
 
<!-- bootstrap image gallery -->
<script src="libs/js/Bootstrap-Image-Gallery-master/js/jquery.blueimp-gallery.min.js"></script>
<script src="libs/js/Bootstrap-Image-Gallery-master/js/bootstrap-image-gallery.min.js"></script>

<!-- linkify -->
<script src="libs/js/jquery.linkify.min.js"></script>

<script>
$('#blueimp-gallery').data('useBootstrapModal', false);
$('#blueimp-gallery').toggleClass('blueimp-gallery-controls', true);

$('#blueimp-gallery').on('slide', function (event, index, slide) {

	// get html title
	var title=$('.post-html-title:eq(' + index + ')').html();
	
	// set title on the light box
	$('#pop-up-title').html(title);
	

});

$(window).on('load', function () {
	$('p').linkify();
});

function load_NextSet() {
	
	$('div#last_item_loader').html('<img src="images/ajax-loader.gif">');
	
	$.post("photos_more.php?fb_page_id=<?php echo $fb_page_id; ?>", function(data){
		if (data != "") {
			$(".item_box:last").after(data); 
		}
		
		if(data==""){
			$('div#last_item_loader').html("All photos were loaded.");
		}else{
			$('div#last_item_loader').empty();
		}
	});
}; 


$(document).ready(function(){

	$(window).scroll(function(){
		if ($(window).scrollTop() == $(document).height() - $(window).height()){
			if($('div#last_item_loader').text()==""){
				load_NextSet();
			}
		}
	}); 
	
});
</script>

</body>
</html>